Checkout settings
Update a checkout settings
Update the current checkout settings for the company.
PUT
/
api
/
settings
/
checkout
Update a checkout settings
curl --request PUT \
--url https://api.fluid.app/api/settings/checkout \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"checkout": {
"require_phone": true,
"checkout_primary_button_color": "#1F4E8C",
"checkout_primary_text_color": "#FFFFFF",
"collect_sms_marketing": true
}
}
'import requests
url = "https://api.fluid.app/api/settings/checkout"
payload = { "checkout": {
"require_phone": True,
"checkout_primary_button_color": "#1F4E8C",
"checkout_primary_text_color": "#FFFFFF",
"collect_sms_marketing": True
} }
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.put(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'PUT',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({
checkout: {
require_phone: true,
checkout_primary_button_color: '#1F4E8C',
checkout_primary_text_color: '#FFFFFF',
collect_sms_marketing: true
}
})
};
fetch('https://api.fluid.app/api/settings/checkout', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"id": 1405,
"name": "Dunder Mifflin Paper Company",
"favicon_url": "https://cdn.fluid.app/companies/1405/brand/favicon.ico",
"primary_domain_hostname": "shop.dundermifflin.com",
"subdomain": "dunder-mifflin",
"logo_url": "https://cdn.fluid.app/companies/1405/brand/dunder-mifflin-logo.png",
"fluid_shop": "dunder-mifflin.fluid.app",
"collect_phone": true,
"require_phone": true,
"require_billing_zip": true,
"checkout_primary_button_color": "#1F4E8C",
"checkout_primary_text_color": "#FFFFFF",
"checkout_secondary_button_color": "#E8EDF3",
"checkout_secondary_text_color": "#1F4E8C",
"order_on_behalf": true,
"reward_points_enabled": true,
"reward_points_apply_to_subtotal": false,
"reward_points_label_singular": "point",
"reward_points_label_plural": "points",
"collect_sms_marketing": true,
"collect_email_marketing": true,
"bundle_subscriptions": false,
"hide_volume_on_customer_surfaces": true,
"isolated_payment_tokens": false,
"kount_environment": "production",
"kount_client_id": "150953359757648"
}{
"message": "<string>"
}Authorizations
Bearer token authentication
Body
application/json
Show child attributes
Show child attributes
Response
Success
Whether reward points apply to subtotal instead of total
Customer-facing singular label for reward points
Customer-facing plural label for reward points
Whether commissionable/qualifying volume (CV/QV) is hidden on customer-facing surfaces
⌘I
Update a checkout settings
